curl --request GET \
--url https://api.olostep.com/v1/retrieve \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/retrieve"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/retrieve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"html_content": "<string>",
"markdown_content": "<string>",
"json_content": "<string>",
"html_hosted_url": "<string>",
"markdown_hosted_url": "<string>",
"json_hosted_url": "<string>",
"size_exceeded": true
}Recuperar Contenido
Recuperar el contenido de lotes procesados y URLs de rastreos.
Autorizaciones
Encabezado de autenticación Bearer del formulario Bearer , donde es tu token de autenticación.
Parámetros de consulta
El ID del contenido de la página a obtener. Disponible en la respuesta de los endpoints /v1/crawls/{crawl_id}/pages, /v1/scrapes/{scrape_id} o /v1/batches/{batch_id}/items
Array opcional para obtener solo formatos específicos en producción. Si no se proporciona, se devolverán todos los formatos.
html, markdown, json Respuesta
Respuesta exitosa con el contenido de la página.
Contenido HTML de la página, si se solicita y está disponible.
Contenido Markdown de la página, si se solicita y está disponible.
Contenido JSON de la página devuelto por los analizadores, si se solicita y está disponible.
URL del bucket S3 de html. Expira en 7 días.
URL del bucket S3 de markdown. Expira en 7 días.
URL del bucket S3 de json. Expira en 7 días.
Si el tamaño de los objetos de contenido excede el límite de 6MB. Si es verdadero, usa las URLs de S3 alojadas para obtener el contenido.
¿Esta página le ayudó?